<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('install_request_actions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('request_id')->constrained('install_requests')->onDelete('cascade');
            $table->foreignId('user_id')->constrained('users')->onDelete('cascade');
            $table->enum('action', ['accepted', 'rejected', 'completed', 'rated', 'auto-assigned', 'manually-assigned']);
            $table->text('comment')->nullable();
            $table->text('note')->nullable();
            $table->decimal('installation_price', 10, 2)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('install_request_actions');
    }
};
